Project

Profile

Help

Task #3292

closed

Task #3291: Switch Pulp to AMQP 1.0

Switch Pulp2 to use AMQP 1.0

Added by bmbouter almost 5 years ago. Updated over 3 years ago.

Status:
CLOSED - WONTFIX
Priority:
Normal
Assignee:
-
Category:
-
Sprint/Milestone:
-
Start date:
Due date:
% Done:

0%

Estimated time:
Platform Release:
Groomed:
No
Sprint Candidate:
No
Tags:
Pulp 2
Sprint:
Quarter:

Description

This will involve upgrading Kombu on the supported distros to a GA version of Kombu that contains the proton driver in the Qpid transport of Kombu.

Actions #1

Updated by bmbouter almost 5 years ago

  • Parent task set to #3291
Actions #2

Updated by dalley almost 5 years ago

  • Tracker changed from Issue to Task
  • % Done set to 0
Actions #3

Updated by bmbouter almost 5 years ago

  • Blocked by Task #3134: Switch Pulp 3 installer to use qpid by default, not rabbitmq added
Actions #4

Updated by dalley over 4 years ago

  • Blocked by deleted (Task #3134: Switch Pulp 3 installer to use qpid by default, not rabbitmq)
Actions #5

Updated by bmbouter over 4 years ago

  • Status changed from NEW to CLOSED - WONTFIX

Pulp3 is moving off of Celery and onto RQ. As such the value of transitioning Pulp2 onto that stack is diminished, while risk to users from those changes is still high. As such I'm closing as WONTFIX.

More info on the RQ transition is here: https://pulpproject.org/2018/05/08/pulp3-moving-to-rq/

Actions #6

Updated by bmbouter over 3 years ago

  • Tags Pulp 2 added

Also available in: Atom PDF